APIPersonal data
List active custom-field definitions
GET
bearerAuth custom_fields.readheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: custom_fields.read
Definitions.
application/json- response
data*array<>curl -X GET 'https://your-instance.example/api/v1/custom-fields'Example Response
{ "data": [ { "id": 0, "entityType": "flight", "key": "string", "label": "string", "description": "string", "fieldType": "text", "required": true, "order": 0, "defaultValue": null, "options": null } ]}